# Interface AlarmOptions

interface AlarmOptions {
message: string;
state: ALARM_STATE;
appendId?: boolean;
createdAt?: boolean;
path?: Path;
position?: boolean;
}

- Defined in notificationsapi.ts:65

##### Index

### Properties

message
state
appendId?
createdAt?
path?
position?

## Properties

### message

message: string

- Defined in notificationsapi.ts:67

### state

state: ALARM_STATE

- Defined in notificationsapi.ts:66

### `Optional` appendId

appendId?: boolean

- Defined in notificationsapi.ts:71

### `Optional` createdAt

createdAt?: boolean

- Defined in notificationsapi.ts:70

### `Optional` path

path?: Path

- Defined in notificationsapi.ts:68

### `Optional` position

position?: boolean

- Defined in notificationsapi.ts:69